Uploaded image for project: 'Qt Mobility'
  1. Qt Mobility
  2. QTMOBILITY-741

Can't build Messaging module under M5 if QMF is available

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3: Somewhat important
    • Resolution: Out of scope
    • Affects Version/s: 1.2.0
    • Fix Version/s: None
    • Component/s: Messaging: QMF
    • Labels:
      None

      Description

      For Maemo 5 / Fremantle, if the QMF is available (i.e. the libqmf-dev package is installed), we can't build the Messaging module for Qt Mobility. The reason is that the QMessagePrivate (defined in the qmessage_p.h file) is different if QMF is enabled, but the implementation file for M5, qmessage_maemo.cpp doesn't care whether QMF is enabled or not.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            w00t Robin Burchell
            Reporter:
            xizzhu Xizhi Zhu (Steven)
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes